%This case study demonstrates a simple (basic) setup of a single-period
%portfolio optimization problem when risk is measured by CVaR. 

clear;

load('ThisData', 'Hmatr', 'dmatr', 'Aeqmatr', 'beqvec', 'lbvec');
warning('off', 'all');
format long
[xout, fval, exitflag, output]=riskconstrprog ([],'cvar_risk', [], [], [], [], ...
    0.95, Hmatr, [], [], -dmatr,  0.0548529815066, [], [], Aeqmatr, beqvec, lbvec);
%fprintf('Optimal Points:\n');
warning('on', 'all');
fprintf('Solution status = %s\n', exitflag);
disp('Solution:'); disp(xout);
fprintf('Data loading time = %f sec\n', output.data_loading_time);
fprintf('Preprocessing time = %f sec\n', output.preprocessing_time);
fprintf('Solving time = %f sec\n', output.solving_time);
fprintf('Objective = %f\n', fval);
fprintf('CVaR = %f\n', output.frval2);

%=======================================================================|
%American Optimal Decisions, Inc. Copyright                             |
%Copyright American Optimal Decisions, Inc. 2007-2014.                 |
%American Optimal Decisions (AOD) retains copyrights to this material.  |
%                                                                       |
%Permission to reproduce this document and to prepare derivative works  |
%from this document for internal use is granted, provided the copyright |
%and No Warranty  statements are included with all reproductions       |
%and derivative works.                                                  |
%                                                                       |
%For information regarding external or commercial use of copyrighted    |
%materials owned by AOD, contact AOD at support@aorda.com.              |
%=======================================================================|
